#include "showsort.h"

GtkWidget *create_menu_bar(GtkWidget *window)
{  

  GtkWidget *menu_bar;
  GtkWidget *file_menu, *file_item, *save_item, *exit_item;
  GtkWidget *help_menu, *help_item, *about_item;

  /* menu bar */
  menu_bar = gtk_menu_bar_new();
  
  /* file menu */
  file_menu = gtk_menu_new();

  /* file -> save image  */
  save_item = gtk_menu_item_new_with_label("Save image ...");
  gtk_menu_append(GTK_MENU(file_menu), save_item);
  gtk_widget_show(save_item);

  /* file -> exit */
  exit_item = gtk_menu_item_new_with_label("Exit");
  gtk_menu_append(GTK_MENU(file_menu), exit_item);
  gtk_widget_show(exit_item);
  gtk_signal_connect_object(GTK_OBJECT(exit_item), "activate",
                            GTK_SIGNAL_FUNC(gtk_widget_destroy),
			     GTK_OBJECT(window));

  /* file menu item */
  file_item = gtk_menu_item_new_with_label("File");
  gtk_menu_item_set_submenu(GTK_MENU_ITEM(file_item), file_menu);
  gtk_widget_show(file_menu);
  gtk_widget_show(file_item);

  /* help menu */
  help_menu = gtk_menu_new();

  /* help -> about */
  about_item = gtk_menu_item_new_with_label("About ...");
  gtk_menu_append(GTK_MENU(help_menu), about_item);
  gtk_widget_show(about_item);

  /* help menu item */
  help_item = gtk_menu_item_new_with_label("Help");
  gtk_menu_item_set_submenu(GTK_MENU_ITEM(help_item), help_menu);
  gtk_widget_show(help_menu);
  gtk_widget_show(help_item);

  /* add the menus to the menu bar */
  gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), file_item);
  gtk_menu_bar_append(GTK_MENU_BAR(menu_bar), help_item);

  return(menu_bar);

}

